Walmart: Search
Search from Walmart as JSON. 1 credit per successful call.
GET /v1/walmart/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
query | string | Required | Up to 500 characters |
page | integer | Optional | Any |
sort | string | Optional | best_match, price_low, price_high, rating_high, new |
min_price | integer | Optional | Any |
max_price | integer | Optional | Any |
cat_id | string | Optional | Up to 64 characters |
facet_filter | string | Optional | Up to 2,000 characters |
Example request
curl "https://api.perceptlayer.com/v1/walmart/search?query=coffee+maker" \
-H "X-API-Key: $API_KEY"